petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetApplicationContext

Sets an optional user-defined context for the timesteppers.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetApplicationContext(TS ts,void *usrP)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| usrP | - optional user context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### Keywords

TS, timestep, set, application, context

### See Also

TSGetApplicationContext()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex42.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages